<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.entity.SyncTransaction (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.entity.SyncTransaction (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/SyncTransaction.html" target="_top">Frames</a></li>
<li><a href="SyncTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.entity.SyncTransaction" class="title">Uses of Class<br>io.mosip.registration.entity.SyncTransaction</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs">io.mosip.registration.jobs</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs.impl">io.mosip.registration.jobs.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.repositories">io.mosip.registration.repositories</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a> in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html#save-io.mosip.registration.entity.SyncTransaction-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>
<div class="block">To save <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity"><code>SyncTransaction</code></a></div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html#getAll--">getAll</a></span>()</code>
<div class="block">Get All sync Transaction</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html#getAll-java.lang.String-java.sql.Timestamp-java.sql.Timestamp-">getAll</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;previousFiredTime,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;currentFiredTime)</code>
<div class="block">Get All Sync Transactions</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html#getSyncTransactions-java.sql.Timestamp-java.lang.String-">getSyncTransactions</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;req,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">Get All sync Transaction</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html#save-io.mosip.registration.entity.SyncTransaction-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>
<div class="block">To save <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity"><code>SyncTransaction</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a> in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html#save-io.mosip.registration.entity.SyncTransaction-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html#getAll--">getAll</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html#getAll-java.lang.String-java.sql.Timestamp-java.sql.Timestamp-">getAll</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;previousFiredTime,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;currentFiredTime)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html#getSyncTransactions-java.sql.Timestamp-java.lang.String-">getSyncTransactions</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;req,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html#save-io.mosip.registration.entity.SyncTransaction-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.jobs">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a> in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> that return <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManager.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">createSyncTransaction</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComment,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">To create a new transaction in sync transaction table</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManager.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.jobs.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a> in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a> that return <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManagerImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#createSyncTransaction-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">createSyncTransaction</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statusComment,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManagerImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.repositories">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a> in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/SyncTransactionRepository.html#findByCrDtimeAfterAndSyncJobIdNotOrderByCrDtimeDesc-java.sql.Timestamp-java.lang.String-">findByCrDtimeAfterAndSyncJobIdNotOrderByCrDtimeDesc</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;req,
                                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">Get All sync Transaction</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncTransactionRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/SyncTransactionRepository.html#findBySyncJobIdAndCrDtimeBetween-java.lang.String-java.sql.Timestamp-java.sql.Timestamp-">findBySyncJobIdAndCrDtimeBetween</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;previousFiredTime,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Timestamp.html?is-external=true" title="class or interface in java.sql">Timestamp</a>&nbsp;currentFiredTime)</code>
<div class="block">Get All Transactions</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/SyncTransaction.html" target="_top">Frames</a></li>
<li><a href="SyncTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
